View all methods

catalog.entities.tasks

Get currently outstanding initiative tasks for an entity.

Facts

Method GET https://api.getdx.com/catalog.entities.tasks
Required scope catalog:read

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
identifier Text The unique identifier for the entity.

Optional arguments

Name Type Description
cursor String Cursor used to request the next page. Can be found in prior request via response_metadata.next_cursor.
limit Integer Limit the number of entities per page. Defaults to 50.

Example request

This is a typical request:

curl -X GET https://api.getdx.com/catalog.entities.tasks?identifier=app&cursor=xuvkgfq9t0ty&limit=50 \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'

Response

Each item in the tasks array is a Task object.

Example response

This is a typical success response:

{
  "ok": true,
  "tasks": [
    {
      "check": {
        "id": "ykepbp77y24r",
        "description": "This is a tough one to pass, because it is literally hardcoded to fail.",
        "external_url": null,
        "name": "Everyone is failing this check"
      },
      "entity_check_issue": {
        "id": null,
        "url": null
      },
      "initiative": {
        "id": "n9uu9oeeuzg5",
        "complete_by": "2025-04-09T00:00:00.000Z",
        "description": "## The basics\n\nHere is a description for this initiative! Nice.\n\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi posuere eros dui, tempus bibendum sem efficitur at.\n\n- One\n- Two\n- Three\n\nAnyway this is great.",
        "name": "Migrate to OpenTelemetry",
        "priority": 0
      },
      "owner": {
        "name": "Ziggy Stardust",
        "email": "ziggy.stardust@getdx.com",
        "id": 5555173,
        "avatar": "https://avatars.slack-edge.com/2024-11-29/5555778151859_7818a7bcf85a764c5555_72.jpg",
        "slack_ext_id": "U55555QMB19"
      }
    },
    {
      "check": {
        "id": "mp40tet4vzq1",
        "description": "This one includes a random() call. So if you're currently not passing, just re-run the check a time or two and you should be good again.",
        "external_url": null,
        "name": "The random number check"
      },
      "entity_check_issue": {
        "id": null,
        "url": null
      },
      "initiative": {
        "id": "n9uu9oeeuzg5",
        "complete_by": "2025-04-09T00:00:00.000Z",
        "description": "## The basics\n\nHere is a description for this initiative! Nice.\n\nLorem ipsum dolor sit amet, consectetur adipiscing elit. Morbi posuere eros dui, tempus bibendum sem efficitur at.\n\n- One\n- Two\n- Three\n\nAnyway this is great.",
        "name": "Migrate to OpenTelemetry",
        "priority": 0
      },
      "owner": {
        "name": "Ziggy Stardust",
        "email": "ziggy.stardust@getdx.com",
        "id": 5555173,
        "avatar": "https://avatars.slack-edge.com/2024-11-29/5555778151859_7818a7bcf85a764c5555_72.jpg",
        "slack_ext_id": "U55555QMB19"
      }
    }
  ],
  "response_metadata": {
    "next_cursor": "xuvkgfq9t0ty"
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
invalid_arguments One or more of the arguments provided is invalid.

Legacy path

This method is temporarily still available at the following legacy path:

GET https://api.getdx.com/entities.tasks